Bug 807455 - Deleted template still available in promoted environment
Deleted template still available in promoted environment
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Mike McCune
Og Maciel
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-27 16:15 EDT by Steve Reichard
Modified: 2013-03-27 16:52 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 14:06:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
movie (4.90 MB, video/ogg)
2012-03-27 16:15 EDT, Steve Reichard
no flags Details

  None (edit)
Description Steve Reichard 2012-03-27 16:15:35 EDT
Created attachment 573164 [details]
movie

Description of problem:

Beta customer SAIC pointed this out to me and I was able to reproduce.

A system template has been created and promoted.  Now the system template is deleted.  While it has been removed from the list of system templates, if I switch to promotion,  I don't see it available from library, but do see it from the promoted env.

How would one delete this?  How would one access this?

See attached movie.



Version-Release number of selected component (if applicable):


SAIC is using Beta 3,  I re-created using the early beta 6.

Here is my details.

root@cf-se1 os]# /pub/scripts/post_install_configuration_scripts/cf-se-versions 
Red Hat Enterprise Linux Server release 6.2 (Santiago)
Linux cf-se1.cloud.lab.eng.bos.redhat.com 2.6.32-220.7.1.el6.x86_64 #1 SMP Fri Feb 10 15:22:22 EST 2012 x86_64 x86_64 x86_64 GNU/Linux
PyYAML-3.09-14.el6_1.x86_64
facter-1.5.9-1.el6.noarch
js-1.8.5-6.el6.x86_64
mongodb-1.8.2-3.el6.x86_64
mongodb-server-1.8.2-3.el6.x86_64
puppet-2.6.14-1.el6.noarch
pymongo-1.9-8.el6_1.x86_64
tomcat6-6.0.24-35.el6_1.noarch
ruby-1.8.7.352-6.el6.x86_64
grinder-0.0.139-1.el6.noarch
postgresql-server-8.4.9-1.el6_1.1.x86_64
postgresql-8.4.9-1.el6_1.1.x86_64
candlepin-0.5.26-1.el6.noarch
pulp-1.0.0-4.el6.noarch
katello-0.1.306-1.el6.noarch
katello-all-0.1.306-1.el6.noarch
katello-cli-0.1.107-1.el6.noarch
katello-configure-0.1.104-1.el6.noarch
[root@cf-se1 os]# 


How reproducible:

2 for 2

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 James Laska 2012-04-18 10:19:51 EDT
(In reply to comment #0)
 
> How would one delete this?  How would one access this?

it is possible to delete promoted templates using the katello CLI.

> katello> template delete --name 'rhel-x86_64-6Server-cf-configserver' --environment Prod
> Deleted system template 'rhel-x86_64-6Server-cf-configserver'

However, I suspect that is a partially implemented feature.

Bryan or Mike, what is the intended mechanism for deleting a promoted system template?

Also, what is the expected behavior when you delete a system template?  What happens to the template in any previously promoted environments?
Comment 2 Mike McCune 2012-04-18 11:34:22 EDT
we are going to be adding a 1.1 feature to remove content, packages, products and templates from promoted environments as part of a changeset.

I think because there is a workaround with the CLI we can go out the door as-is with 1.0 but for 1.1 we definitely need to address the ability to remove templates (and other content) from the promoted env
Comment 3 Bryan Kearney 2013-02-08 09:31:49 EST
Looking at the comments, the delete features mentioned in comment 2 are in 1.1. I am therefore moving this but to ON_QA with the goal of having it verified against hte 1.1 code base.
Comment 4 Og Maciel 2013-02-08 10:21:38 EST
Bryan, this BZ was blocked by https://bugzilla.redhat.com/show_bug.cgi?id=904128, which just got added to the next release. I am asking for a 1.1.2 flag here.
Comment 5 Og Maciel 2013-02-09 15:33:22 EST
I was able to create a template, promote it across several environments and then delete the template. When I go to the changeset page and check under Library for the template, it is no longer there. However, I can still see it under the other environments, albeit when I select it, the UI tells me that it is empty. Is this the expected behavior? I thought we had agreed that in order to delete any type of **promoted** content, one has to first delete it from the promoted environments, walking "backwards" until you reach the Library.
Comment 6 Og Maciel 2013-02-11 17:40:34 EST
Verified. My assumption had been that, like repos, system templates could not be deleted randomly, but had to follow a pattern where you'd have to delete it from all the promoted environments first before you could delete it from the Library. This is not the case.

* candlepin-0.7.19-3.el6cf.noarch
* candlepin-selinux-0.7.19-3.el6cf.noarch
* candlepin-tomcat6-0.7.19-3.el6cf.noarch
* elasticsearch-0.18.4-11.el6.noarch
* katello-1.1.12.2-3.el6cf.noarch
* katello-all-1.1.12.2-3.el6cf.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.8-1.el6cf.noarch
* katello-cli-1.1.8-14.el6cf.noarch
* katello-cli-common-1.1.8-14.el6cf.noarch
* katello-common-1.1.12.2-3.el6cf.noarch
* katello-configure-1.1.9-13.el6cf.noarch
* katello-glue-candlepin-1.1.12.2-3.el6cf.noarch
* katello-glue-pulp-1.1.12.2-3.el6cf.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.1.1-4.el6cf.noarch
* pulp-1.1.15-1.el6cf.noarch
* pulp-common-1.1.15-1.el6cf.noarch
* pulp-selinux-server-1.1.15-1.el6cf.noarch
Comment 8 errata-xmlrpc 2013-02-21 14:06:42 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0547.html

Note You need to log in before you can comment on or make changes to this bug.